tvbrowser.extras.reminderplugin

## Class ReminderPluginProxy

- java.lang.Object
- - tvbrowser.extras.common.AbstractInternalPluginProxy
  - - tvbrowser.extras.reminderplugin.ReminderPluginProxy

- All Implemented Interfaces:
    ContextMenuIf, Marker, ProgramReceiveIf, java.lang.Comparable<ProgramReceiveIf>, ButtonActionIf, InternalPluginProxyIf

      public class ReminderPluginProxy
      extends AbstractInternalPluginProxy
      implements ButtonActionIf, ContextMenuIf, Marker

  Encapsulates the Reminder and manages the access to it.
  Since:
    2.5
  Author:
    René Mach

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface tvbrowser.extras.common.InternalPluginProxyIf

      `InternalPluginProxyIf.Comparator`

  - ### Field Summary

    - ### Fields inherited from interface devplugin.ContextMenuIf

      `ACTIONKEY_KEYBOARD_EVENT`

    - ### Fields inherited from interface tvbrowser.extras.common.InternalPluginProxyIf

      `KEYBOARD_ACCELERATOR`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canReceiveProgramsWithTarget()` Gets whether the ProgramReceiveIf supports receiving programs from other plugins with a special target.
    `AfterDataUpdateInfoPanel` | `getAfterDataUpdateInfoPanel()` Gets a panel that contains infos that should be shown for this Plugins after a data update.
    `ActionMenu` | `getButtonAction()` Gets the action menu with the action supported for toolbar actions.
    `java.lang.String` | `getButtonActionDescription()` Gets the description for this ButtonActionIf.
    `ActionMenu` | `getContextMenuActions(Program program)` Gets the actions for the context menu of a program.
    `javax.swing.Icon` | `getIcon()` Gets the icon of this internal plugin.
    `java.lang.String` | `getId()` Gets the id of this ButtonActionIf.
    `static ReminderPluginProxy` | `getInstance()`
    `javax.swing.Icon` | `getMarkIcon()`
    `javax.swing.Icon[]` | `getMarkIcons(Program p)`
    `int` | `getMarkPriorityForProgram(Program p)`
    `java.lang.String` | `getName()` Gets the name of this internal plugin.
    `java.lang.String` | `getPluginCategory()`
    `PluginCenterPanelWrapper` | `getPluginCenterPanelWrapper()` Gets the PluginCenterPanelWrapper for this internal plugin.
    `ProgramReceiveTarget[]` | `getProgramReceiveTargets()` Returns an array of receive targets or `null` if there is no target
    `java.lang.String` | `getSettingsId()` Gets the settings id of this internal plugin.
    `SettingsTab` | `getSettingsTab()` Gets the settings tab of this internal plugin.
    `void` | `handleTvBrowserStartFinished()`
    `void` | `handleTvDataUpdateFinished()`
    `boolean` | `receivePrograms(Program[] programArr, ProgramReceiveTarget receiveTarget)` Receives a list of programs from another plugin with a target.
    `boolean` | `receiveValues(java.lang.String[] values, ProgramReceiveTarget receiveTarget)` Receives a list of Strings from another plugin with a target.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class tvbrowser.extras.common.AbstractInternalPluginProxy

      `compareTo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static ReminderPluginProxy getInstance()

      Returns:
        The instance of the ReminderPluginProxy

    - #### getContextMenuActions

          public ActionMenu getContextMenuActions(Program program)

      Description copied from interface: `ContextMenuIf`
      Gets the actions for the context menu of a program.
      Specified by:
        `getContextMenuActions` in interface `ContextMenuIf`
      Parameters:
        `program` - The program the context menu will be shown for.
      Returns:
        the actions this plugin provides for the given program or `null` if the plugin does not provide this feature.

    - #### getId

          public java.lang.String getId()

      Description copied from interface: `ButtonActionIf`
      Gets the id of this ButtonActionIf.
      Specified by:
        `getId` in interface `ContextMenuIf`
      Specified by:
        `getId` in interface `Marker`
      Specified by:
        `getId` in interface `ProgramReceiveIf`
      Specified by:
        `getId` in interface `ButtonActionIf`
      Specified by:
        `getId` in interface `InternalPluginProxyIf`
      Returns:
        The id of this ButtonActionIf.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### canReceiveProgramsWithTarget

          public boolean canReceiveProgramsWithTarget()

      Description copied from interface: `ProgramReceiveIf`
      Gets whether the ProgramReceiveIf supports receiving programs from other plugins with a special target.
      Specified by:
        `canReceiveProgramsWithTarget` in interface `ProgramReceiveIf`
      Overrides:
        `canReceiveProgramsWithTarget` in class `AbstractInternalPluginProxy`
      Returns:
        Whether the ProgramReceiveIf supports receiving programs from other plugins with a special target.
      See Also:
        `ProgramReceiveIf.receivePrograms(Program[],ProgramReceiveTarget)`

    - #### receivePrograms

          public boolean receivePrograms(Program[] programArr,
                                ProgramReceiveTarget receiveTarget)

      Description copied from interface: `ProgramReceiveIf`
      Receives a list of programs from another plugin with a target.
      Specified by:
        `receivePrograms` in interface `ProgramReceiveIf`
      Overrides:
        `receivePrograms` in class `AbstractInternalPluginProxy`
      Parameters:
        `programArr` - The programs passed from the other plugin.
        `receiveTarget` - The receive target of the programs.
      Returns:
        `true`, if the programs were correctly received and the target really exists.
      See Also:
        `ProgramReceiveIf.canReceiveProgramsWithTarget()`

    - #### getProgramReceiveTargets

          public ProgramReceiveTarget[] getProgramReceiveTargets()

      Description copied from interface: `ProgramReceiveIf`
      Returns an array of receive targets or `null` if there is no target
      Specified by:
        `getProgramReceiveTargets` in interface `ProgramReceiveIf`
      Overrides:
        `getProgramReceiveTargets` in class `AbstractInternalPluginProxy`
      Returns:
        The supported receive targets.
      See Also:
        `ProgramReceiveIf.canReceiveProgramsWithTarget()`, `ProgramReceiveIf.receivePrograms(Program[],ProgramReceiveTarget)`

    - #### getMarkIcon

          public javax.swing.Icon getMarkIcon()

      Specified by:
        `getMarkIcon` in interface `Marker`

    - #### getMarkIcons

          public javax.swing.Icon[] getMarkIcons(Program p)

      Specified by:
        `getMarkIcons` in interface `Marker`

    - #### getMarkPriorityForProgram

          public int getMarkPriorityForProgram(Program p)

      Specified by:
        `getMarkPriorityForProgram` in interface `Marker`

    - #### getButtonActionDescription

          public java.lang.String getButtonActionDescription()

      Description copied from interface: `ButtonActionIf`
      Gets the description for this ButtonActionIf.
      Specified by:
        `getButtonActionDescription` in interface `ButtonActionIf`
      Specified by:
        `getButtonActionDescription` in interface `InternalPluginProxyIf`
      Returns:
        The description for this ButtonActionIf.

    - #### getIcon

          public javax.swing.Icon getIcon()

      Description copied from interface: `InternalPluginProxyIf`
      Gets the icon of this internal plugin.
      Specified by:
        `getIcon` in interface `InternalPluginProxyIf`
      Returns:
        The icon for this internal plugin.

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `InternalPluginProxyIf`
      Gets the name of this internal plugin.
      Specified by:
        `getName` in interface `InternalPluginProxyIf`
      Returns:
        The name of this internal plugin.

    - #### getSettingsTab

          public SettingsTab getSettingsTab()

      Description copied from interface: `InternalPluginProxyIf`
      Gets the settings tab of this internal plugin.
      Specified by:
        `getSettingsTab` in interface `InternalPluginProxyIf`
      Returns:
        The settings tab of this internal plugin.

    - #### getSettingsId

          public java.lang.String getSettingsId()

      Description copied from interface: `InternalPluginProxyIf`
      Gets the settings id of this internal plugin.
      Specified by:
        `getSettingsId` in interface `InternalPluginProxyIf`
      Returns:
        The settings id of this internal plugin.

    - #### getButtonAction

          public ActionMenu getButtonAction()

      Description copied from interface: `ButtonActionIf`
      Gets the action menu with the action supported for toolbar actions.
      Specified by:
        `getButtonAction` in interface `ButtonActionIf`
      Returns:
        The action menu with the supported toolbar actions

    - #### receiveValues

          public boolean receiveValues(java.lang.String[] values,
                              ProgramReceiveTarget receiveTarget)

      Description copied from interface: `ProgramReceiveIf`
      Receives a list of Strings from another plugin with a target.
      Specified by:
        `receiveValues` in interface `ProgramReceiveIf`
      Overrides:
        `receiveValues` in class `AbstractInternalPluginProxy`
      Parameters:
        `values` - The value array passed from the other plugin.
        `receiveTarget` - The receive target of the programs.
      Returns:
        `True` if the value array was handled correct, false otherwise.
      See Also:
        `ProgramReceiveIf.canReceiveProgramsWithTarget()`

    - #### handleTvDataUpdateFinished

          public void handleTvDataUpdateFinished()

      Specified by:
        `handleTvDataUpdateFinished` in interface `InternalPluginProxyIf`

    - #### getPluginCategory

          public java.lang.String getPluginCategory()

      Specified by:
        `getPluginCategory` in interface `InternalPluginProxyIf`
      Returns:
        The plugin category of this internal plugin.

    - #### getPluginCenterPanelWrapper

          public PluginCenterPanelWrapper getPluginCenterPanelWrapper()

      Description copied from interface: `InternalPluginProxyIf`
      Gets the PluginCenterPanelWrapper for this internal plugin.

      Specified by:
        `getPluginCenterPanelWrapper` in interface `InternalPluginProxyIf`
      Returns:
        The `PluginCenterPanelWrapper` for this internal plugin or `null`.

    - #### getAfterDataUpdateInfoPanel

          public AfterDataUpdateInfoPanel getAfterDataUpdateInfoPanel()

      Description copied from interface: `InternalPluginProxyIf`
      Gets a panel that contains infos that should be shown for this Plugins after a data update.

      Specified by:
        `getAfterDataUpdateInfoPanel` in interface `InternalPluginProxyIf`
      Returns:
        The panel with the infos.

    - #### handleTvBrowserStartFinished

          public void handleTvBrowserStartFinished()

      Specified by:
        `handleTvBrowserStartFinished` in interface `InternalPluginProxyIf`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)